var mp3go = {

   tracks: [],

   init: function () {
      mp3go.onSearchTracks();
      mp3go.onParsingTrackFromSearch();
   },

   onSearchTracks: function () {
      $('[data-start-search]').on('click', function () {
         var query = $('[data-search-value]').val()
         if (query.length < 3)
            return false
         $.post('/engine/ajax/mp3go.php', {query: query}, function (response) {
            var json_response = JSON.parse(response);
            mp3go.tracks = json_response.result
            var htmlToInsert = ''
            mp3go.tracks.forEach(function (item) {
               htmlToInsert += `<div>${item['artist_name']} - ${item['title']} (${item['duration']}) <a href="#" data-track-id="${item['id']}">Парсить</a></div>`
            })

            $('[data-results-container]').html(htmlToInsert).css({display: 'flex'})
         })
      })
   },

   onParsingTrackFromSearch: function () {
      $(document).on('click', '[data-track-id]', function (e) {
         e.preventDefault()
         var id = $(this).data('track-id')
         var track = mp3go.tracks.find((item) => item.id === id)
         var track_name = `${track.artist_name} - ${track.title}`

         // Загрузка постера
         $.post('/engine/ajax/mp3go.php', {poster: track.image}, (response) => $('#xf_' + mp3go_config.xfields['image']).val(response))

         // Заголовок поста и теги
         $('#title').val(track_name)
         $('[name="meta_title"]').val(mp3go_config['meta_title'].replace('{track}', track_name))
         $('[name="descr"]').val(mp3go_config['meta_description'].replace('{track}', track_name))

         // Доп. поля
         for (key in mp3go_config.xfields) {
            $(`#xf_${mp3go_config.xfields[key]}`).val(track[key])
            $(`#xf_${mp3go_config.xfields[key]}-tokenfield`).val(track[key])
         }

         if (track.genre_objs) {
            $('#category').val('').trigger('chosen:updated');
            const cat_selector = document.getElementById('category');
            track.genre_objs.forEach(item => cat_selector.options[mp3go_config['cat_genres'][item.id]].selected = true)
            $('#category').trigger('chosen:updated')
         }
      })
   }
}

$(document).ready(mp3go.init)