<?php
/**
* Модуль интеграции сервиса Mp3GO
*
* @copyright Mp3GO
* @version   1.3.0
* @link      https://mp3go.dev/
*/

if (!defined('DATALIFEENGINE') || !defined('LOGGED_IN'))
   die('Hacking attempt!');

include_once (ENGINE_DIR . '/inc/mp3go/functions.php');

$__config = file_get_contents(ENGINE_DIR . '/data/config.mp3go.php');
$mp3go_config = json_decode($__config, 1);

$mp3go_genres = array(
   101 => 'Электронная',
   102 => 'Drum n Bass',
   103 => 'Клубная',
   104 => 'Дабстеп',
   105 => 'Транс',
   106 => 'Рок',
   107 => 'Русский рок',
   108 => 'Блюз',
   109 => 'Джаз',
   110 => 'Рэп',
   111 => 'Русский рэп',
   112 => 'Диско',
   113 => 'Хип-хоп',
   114 => 'RnB',
   115 => 'Поп',
   116 => 'Шансон',
   117 => 'Классика',
   118 => 'Прочее'
);

$mp3go_cats['new_tracks'] = 'Новинки';
$mp3go_cats = $mp3go_cats + $mp3go_genres;


/**
* Сохранение настроек модуля
*/
if ($action == "save") {

   if (!$_REQUEST['user_hash'] || $_REQUEST['user_hash'] !== $dle_login_hash)
      die('Hacking attempt! User not found');

   $save_con = $_POST['save_con'];

   if (!isset($save_con['add_old_track']))
      $save_con['add_old_track'] = 0;

   if (is_array($mp3go_config))
      $save_con = $save_con + $mp3go_config;


   if (file_put_contents(ENGINE_DIR . '/data/config.mp3go.php', json_encode($save_con))) {
      clear_cache();
      msg("info", $lang['opt_sysok'], $lang['opt_sysok_1'], "$PHP_SELF?mod=mp3go");
   }
}

echoheader('Mp3GO', 'Модуль интеграции сервиса mp3go.dev (<a href="https://mse-script.ru/forum/threads/parser-muzyki-mp3go-dlja-dle-13.606/" target="_blank">Обновления и поддержка</a>)');

// ***************************************

$xfields = xfieldsload();
$xfields_to_selector = [];
foreach ($xfields as $field) {
   $xfields_to_selector[$field[0]] = $field[1];
}

// ***************************************
echo <<<HTML
<div class="panel panel-default">
   <div class="panel-heading">
      <ul class="nav nav-tabs nav-tabs-solid">
         <li class="active"><a href="#main_settings" data-toggle="tab" class="legitRipple" aria-expanded="true">Общие настройки</a></li>
         <li class=""><a href="#field_settings" data-toggle="tab" class="legitRipple" aria-expanded="false">Дополнительные поля</a></li>
         <li class=""><a href="#cat_settings" data-toggle="tab" class="legitRipple" aria-expanded="false">Настройка категорий</a></li>
      </ul>
   </div>

   <form action="?mod=mp3go&action=save" name="conf" method="post">
      <div class="panel-tab-content tab-content">

         <div class="tab-pane active" id="main_settings">
            <div class="table-responsive">
               <table class="table table-striped">
HTML;

create_row("API KEY:", "ваш ключ api в системе mp3go.", "<input type=\"text\" name=\"save_con[api_key]\" value=\"{$mp3go_config['api_key']}\" class=\"form-control\" style=\"text-align: center;\">", "white-line");
create_row("Автор записи:", "Имя пользователя, от которого будет опубликована запись.", "<input type=\"text\" name=\"save_con[author]\" value=\"{$mp3go_config['author']}\" class=\"form-control\" style=\"text-align: center;\">", "white-line");
create_row("Метатег Title:", 'Мeta-title будущей записи. Для этого поля доступен тег {track}.', "<input type=\"text\" name=\"save_con[meta_title]\" value=\"{$mp3go_config['meta_title']}\" class=\"form-control\" style=\"text-align: center;\">", "white-line");
create_row("Метатег Description:", 'Мeta-description будущей записи. Для этого поля доступен тег {track}.', "<input type=\"text\" name=\"save_con[meta_description]\" value=\"{$mp3go_config['meta_description']}\" class=\"form-control\" style=\"text-align: center;\">", "white-line");
create_row("Парсить треки из основной БД", "При включении данной опции, кроме новинок, модуль будет парсить записи из всей БД mp3go. Если опция выключена, парсер будет только проверять новинки.", create_switch( "save_con[add_old_track]", "{$mp3go_config['add_old_track']}"));
create_row("Ограничение длины названия трека:", 'Введите максимальное количество символов, допустимое в названии трека. Треки, у которых количество символов в названии будет больше указанного, на сайт добавлены не будут. Укажите 0, если ограничивать длину не нужно.', "<input type=\"text\" name=\"save_con[max_length_title]\" value=\"{$mp3go_config['max_length_title']}\" class=\"form-control\" style=\"text-align: center;\">", "white-line");

echo <<<HTML
               </table>
            </div>
         </div>

         <div class="tab-pane" id="field_settings">
            <div class="table-responsive">
               <table class="table table-striped">
HTML;
create_row('Поле "ID исполнителя":', '', create_selector($xfields_to_selector, "save_con[xfields][artist_id]", "{$mp3go_config['xfields']['artist_id']}"));
create_row('Поле "Название исполнителя":', '', create_selector($xfields_to_selector, "save_con[xfields][artist_name]", "{$mp3go_config['xfields']['artist_name']}"));
create_row('Поле "Битрейт":', '', create_selector($xfields_to_selector, "save_con[xfields][bitrate]", "{$mp3go_config['xfields']['bitrate']}"));
create_row('Поле "Длительность":', '', create_selector($xfields_to_selector, "save_con[xfields][duration]", "{$mp3go_config['xfields']['duration']}"));
create_row('Поле "Ссылка на mp3-файл":', '', create_selector($xfields_to_selector, "save_con[xfields][file]", "{$mp3go_config['xfields']['file']}"));
create_row('Поле "Размер файла":', '', create_selector($xfields_to_selector, "save_con[xfields][file_size]", "{$mp3go_config['xfields']['file_size']}"));
create_row('Поле "ID трека":', '', create_selector($xfields_to_selector, "save_con[xfields][id]", "{$mp3go_config['xfields']['id']}"));
create_row('Поле "Обложка альбома":', '', create_selector($xfields_to_selector, "save_con[xfields][image]", "{$mp3go_config['xfields']['image']}"));
create_row('Поле "ID альбома":', '', create_selector($xfields_to_selector, "save_con[xfields][release_id]", "{$mp3go_config['xfields']['release_id']}"));
create_row('Поле "Название альбома":', '', create_selector($xfields_to_selector, "save_con[xfields][release_title]", "{$mp3go_config['xfields']['release_title']}"));
create_row('Поле "Название трека":', '', create_selector($xfields_to_selector, "save_con[xfields][title]", "{$mp3go_config['xfields']['title']}"));
create_row('Поле "Год выхода":', '', create_selector($xfields_to_selector, "save_con[xfields][year]", "{$mp3go_config['xfields']['year']}"));
create_row('Поле "Жанр":', '', create_selector($xfields_to_selector, "save_con[xfields][genres]", "{$mp3go_config['xfields']['genres']}"));
echo <<<HTML
               </table>
            </div>
         </div>

         <div class="tab-pane" id="cat_settings">
            <div class="table-responsive">
               <table class="table table-striped">
HTML;

foreach ($mp3go_cats as $id => $name) {
   $cat_list[$id] = CategoryNewsSelection($mp3go_config['cat_genres'][$id]);
   create_row("{$name}:", '', "<select class=\"uniform\" name=\"save_con[cat_genres][{$id}]\" >{$cat_list[$id]}</select>");
}

echo <<<HTML
               </table>
            </div>
         </div>

   <div class="panel-footer">
      <input type="hidden" name="user_hash" value="{$dle_login_hash}"/>
      <button type="submit" class="btn bg-teal btn-sm btn-raised position-left legitRipple"><i class="fa fa-floppy-o position-left"></i>{$lang['user_save']}</button>
   </div>
   </form>
</div>
HTML;

echofooter();
